<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Edit Database</title>
</head>
<body>
<div layout:fragment="content">
    <form method="post" action="/databases/update" enctype="multipart/form-data" th:object="${database}">
        <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>
        <input type="hidden" th:field="*{id}">
        <input type="hidden" th:field="*{owner}">

        <fieldset>
            <legend>Required fields</legend>
            <label for="name">Name</label>
            <input type="text" id="name" required="required" th:field="*{name}">
        </fieldset>
        <button>Submit</button>
    </form>
</div>

</body>
</html>